Skip to content

Update 'Articlecategory'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
Bodyapplication/json
namestring, <= 255 charactersrequired
organizationobject or null(Organization)
display_orderinteger or null, (int32), [ -2147483648 .. 2147483647 ]
custom_idstring or null, <= 128 characters
archivedboolean
consider_base_rentboolean
PATCH
/accounting/articles/articlecategory/{pk}/
curl -i -X PATCH \
  'https://dev.api.pigello.io/accounting/articles/articlecategory/{pk}/' \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "name": "string",
    "display_order": -2147483648,
    "custom_id": "string",
    "archived": true,
    "consider_base_rent": true
  }'

Responses

Successful update

Bodyapplication/json
namestring, <= 255 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

organizationobject or null(Organization)
tagsanyread-only
created_atstring, (date-time)read-only
display_orderinteger or null, (int32), [ -2147483648 .. 2147483647 ]
custom_idstring or null, <= 128 characters
archivedboolean
consider_base_rentboolean
customer_columnsanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "created_at": "2019-08-24T14:15:22Z", "name": "string", "display_order": -2147483648, "custom_id": "string", "archived": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "consider_base_rent": true, "customer_columns": null }